E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ServerProtocol::Sender Class Referenceabstract

An interface used by ServerProtocol to send protocol replies. More...

`#include <gserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Sender:

## Public Member Functions
virtual void | protocolSend (const std::string &s, bool go_secure)=0
| Called when the protocol class wants to send data down the socket. More...
virtual void | protocolShutdown ()=0
| Called on receipt of a quit command after the quit response has been sent allowing the socket to be shut down. More...

## Detailed Description

An interface used by ServerProtocol to send protocol replies.

Definition at line 62 of file gserverprotocol.h.

## Member Function Documentation

virtual void GSmtp::ServerProtocol::Sender::protocolSend | ( | const std::string & | s,
|  | bool | go_secure
| ) |  |
| pure virtual

Called when the protocol class wants to send data down the socket.

virtual void GSmtp::ServerProtocol::Sender::protocolShutdown | ( |  | ) |
| pure virtual

Called on receipt of a quit command after the quit response has been sent allowing the socket to be shut down.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.cpp